- Qt 6.11
- Qt Multimedia
- C++ Classes
- QtMultimedia
- MapData
- Qt 6.11.1 Reference Documentation

# QAbstractVideoBuffer::MapData Struct

struct QAbstractVideoBuffer::MapData

The QAbstractVideoBuffer::MapData structure describes the mapped plane layout. More...

- List of all members, including inherited members

## Public Variables

int[4] | bytesPerLine
uchar *[4] | data
int[4] | dataSize
int | planeCount

## Detailed Description

The structure contains a number of mapped planes, and plane data for each plane, specificly, a number of bytes per line, a data pointer, and a data size. The structure doesn't hold any ownership of the data it refers to.

A defaultly created structure means that no data has been mapped.

All the values in the structure default to zeros.

See also QAbstractVideoBuffer::map.

## Member Variable Documentation

### int[4] MapData::bytesPerLine

The array of numbrers of bytes per line for each plane from `0` to `planeCount - 1`.

The values of the array default to `0`.

### uchar *[4] MapData::data

The array of pointers to the mapped video pixel data for each plane from `0` to `planeCount - 1`. The implementation of QAbstractVideoBuffer must hold ownership of the data at least until QAbstractVideoBuffer::unmap is called.

The values of the array default to `nullptr`.

### int[4] MapData::dataSize

The array of sizes in bytes of the mapped video pixel data for each plane from `0` to `planeCount - 1`.

The values of the array default to `0`.

### int MapData::planeCount

The number of planes of the mapped video data. If the format of the data is multiplanar, and the value is `1`, the actual plane layout will be calculated upon invoking of QVideoFrame::map from the frame height, `bytesPerLine[0]`, and `dataSize[0]`.

Defaults to `0`.